## python-amberelectric 2.0.0

=== requirements.txt ===
python_dateutil >= 2.5.3
setuptools >= 21.0.0
urllib3 >= 1.25.3, < 2.1.0
pydantic >= 1.10.5, < 2
aenum >= 3.1.11

=== debian/changelog ===
python-amberelectric (2.0.0-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Sep 2024 16:14:19 +0200

python-amberelectric (2.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1079384)

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Aug 2024 22:57:49 +0200

=== debian/control ===
Source: python-amberelectric
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aenum,
 python3-dateutil,
 python3-pydantic,
 python3-pytest,
 python3-urllib3,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-amberelectric
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-amberelectric.git
Homepage: https://github.com/madpilot/amberelectric.py

Package: python3-amberelectric
Architecture: all
Depends:
 python3-aenum,
 python3-dateutil,
 python3-pydantic,
 python3-urllib3,
 ${misc:Depends},
 ${python3:Depends},
Description: Amber Electric Public API
 Amber is an Australian-based electricity retailer that pass through the
 real-time wholesale price of energy. Because of Amber's wholesale power
 prices, one can save hundreds of dollars a year by automating high power
 devices like air-conditioners, heat pumps and pool pumps. This Python
 library provides an interface to the API, making it possible to react to
 current and forecast prices, as well as download your historic usage.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/madpilot/amberelectric.py.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v test

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" https://github.com/madpilot/amberelectric.py refs/tags/(\d[brc\d\.]+)
